Subject: Re: Has somethimg changed in next's Debian package generation?

From: Piotr Hosowicz <[email-masked]>
Date: Fri, 09 Jul 2010 17:38:51 +0200

On 09.07.2010 16:32, Piotr Hosowicz wrote:
> On 05.07.2010 17:09, Piotr Hosowicz wrote:
>> Hello,
>>
>> I build the kernel with make-kpkg under debian like:
>>
>> make-kpkg kernel_image
>>
>> I have had done it this way also with linux next. Lacking fresh sources
>> after a short break from next I tried to build today's next as always
>> but the build failed when it was to finally build the package saying
>> that there is a inconsisteny in control file. I tried to tinker a bit
>> with ./debian/control but to no effect.
>>
>> Has something changed? It used to work just like that, there were no
>> problems at all.
>
> Anybody has any advice?
>
> Thanks in advance.

I tried again, precise cmd line was:

LANG=C CONCURRENCY_LEVEL=10 make-kpkg kernel_image

I ended with:

dpkg-gencontrol: error: package linux-image-2.6.35-rc4-next-20100709 not 
in control info
make[2]: *** [debian/stamp/binary/linux-image-2.6.35-rc4-next-20100709] 
Error 255
make[2]: Leaving directory `/usr/src/linux-2.6.35-rc4-next-20100709'
make[1]: *** 
[debian/stamp/binary/pre-linux-image-2.6.35-rc4-next-20100709] Error 2
make[1]: Leaving directory `/usr/src/linux-2.6.35-rc4-next-20100709'
make: *** [kernel_image] Error 2

Can someone help me on this?

Regards,

Piotr Hosowicz

-- 
Janusz Korwin-Mikke:
"Idiota z dyplomem to taki sam idiota,
jak przedtem - tylko z pretensjami."
NP: Mark Knopfler - Cleaning My Gun
NB: 2.6.35-rc4-git4